#ifndef _BASE_INDENT_HXX
#define _BASE_INDENT_HXX 1

#include <iostream>

  class Indent {
    int _iIn;
    int _iOffs;
    const char *_sz;
   public:
    Indent &inc(int i) { _iIn += i ; return *this; }
    Indent &operator++() { return inc(1); }
    Indent &operator--() { return inc(-1); }
    void offset(int i) { _iOffs=i; }
    friend std::ostream &operator<<(std::ostream &os, Indent &);
    Indent(int i=0):_iIn(i), _iOffs(0), _sz("  ") { }
    Indent(const Indent &in):_iIn(in._iIn+1), _iOffs(in._iOffs), _sz(in._sz) { }
    ~Indent() { }
  };

  inline std::ostream &operator<<(std::ostream &os, Indent &in) { 
    for (int i=0; i<in._iIn+in._iOffs; i++) os << in._sz;
    in._iOffs=0;
    return os;
  }

#endif
