#ifndef _TINA_TICO_PUB_HXX
#define _TINA_TICO_PUB_HXX

#include "umi/umi_user.hxx"
#include <stdint.h>

/**
 * \file  
 */

namespace INdepTina100 {
  namespace Umi=INdepUmi100 ;

  /*
   * integer types
   * "long long" at least 64 bits by C++ standard 
   */
  typedef long long Timer;	/* counts equidistant timer intervals, prefix tm */
  typedef long long Counter;	/* counts any other type of events, prefix ct */


  class TiCore;
  extern const TiCore tc2n5;
  extern uint_fast32_t ticks( const Umi::Time &ti, const TiCore *ptc );
  extern unsigned ccFracts( const TiCore *ptc );
}

#endif

