/*
 * test program utilities
 */
#ifndef _AES_UTINIT_HXX_
#define _AES_UTINIT_HXX_

#include "aes/aes.hxx"

extern  int kbhit();

namespace INdepAes100 {
  struct Model {
    const char *_szName;
    const unsigned char _mpch[4];
  }; 

  class Result {
   private:
    time_t _ti;
    std::string _sgId;
    unsigned _iVid;
    unsigned _iPid;	/* device type     */
    unsigned _iDid;	/* device revision */
    unsigned _iSn;
    std::string _sgConfigMem;
    unsigned _cRun;
    unsigned _cRunLim;
   public:
    void incRun() { _cRun++; }
    int init(std::ostream &osRep, Model *pmo, AesTaskPlex *ptp);
    std::ostream& log(std::ostream &osLog);
    Result(unsigned cRunLim):_ti(0),_iVid(0), _iPid(0), _iDid(0), _iSn(0), _cRun(0), _cRunLim(cRunLim) {}
    ~Result() {}
  };
}

#endif






