#!/bin/bash


[ $(id -u) -eq 0 ] || { echo "usage: sudo $0" ; exit 2; }


MODULES="umi gpib rio sio"

for MOD in $MODULES; do
  # skip modules not installed
  [ -d $MOD ] || continue;

  cp $MOD/ud-*.sh /etc/udev/rules.d
  cat $MOD/ud-*.rules >> /etc/udev/rules.d/99-inesumi.rules 
done

./install.sh
depmod
udevadm trigger

