
/*
 * driver application wrapper demo
 */

#include "mod.h"
#include "assert.h"
#include "version.h"
#include <linux/init.h>


/*
 * declare the license of this module
 */
MODULE_LICENSE("GPL");

EXPORT_SYMBOL(pdm_pci_probe);
EXPORT_SYMBOL(pdm_cleanup_module);
EXPORT_SYMBOL(pdm_pci_remove);
EXPORT_SYMBOL(umi_release);
EXPORT_SYMBOL(__assert_fail);
EXPORT_SYMBOL(umi_unlocked_ioctl);
EXPORT_SYMBOL(umi_poll);
EXPORT_SYMBOL(pdm_usb_probe);
EXPORT_SYMBOL(pdm_usb_disconnect);
EXPORT_SYMBOL(pdm_isa_probe);
EXPORT_SYMBOL(pdm_isa_remove);
EXPORT_SYMBOL(pdm_init_module);
EXPORT_SYMBOL(umi_open);



static int init_umi (void) { 
  printk(KERN_INFO "ines: umi " VERSION_STRING "\n");
  return 0; 
}
static void cleanup_umi (void) {
  printk(KERN_INFO "ines: cleanup umi, bye ...\n");
}

module_init(init_umi);
module_exit(cleanup_umi);

